Debian Bug report logs - #615632
apache2: Ability to set ulimit limits (eg. open file limit)

version graph

Package: apache2.2-common; Maintainer for apache2.2-common is Debian Apache Maintainers <debian-apache@lists.debian.org>; Source for apache2.2-common is src:apache2.

Reported by: Tim Stoop <tim@kumina.nl>

Date: Sun, 27 Feb 2011 22:06:02 UTC

Severity: wishlist

Found in version apache2/2.2.16-6

Fixed in version apache2/2.2.17-2

Done: Stefan Fritsch <sf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#615632; Package apache2.2-common. (Sun, 27 Feb 2011 22:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Stoop <tim@kumina.nl>:
New Bug report received and forwarded. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. (Sun, 27 Feb 2011 22:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tim Stoop <tim@kumina.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: apache2: Ability to set ulimit limits (eg. open file limit)
Date: Sun, 27 Feb 2011 22:54:12 +0100
Package: apache2.2-common
Version: 2.2.16-6
Severity: wishlist

Hi there,

I might be missing something, but I would really appreciate some way of
overriding ulimit limits, preferably from /etc/default/apache2 or something. We
running into open file limit problems and to fix those, I see no other solution
than changing the initscript for apache and adding "ulimit -n 65535" right in
front of the apache2ctl start command.

Or is there some other way that I'm missing here? Thanks in advance!

-- 
Kind regards,
Tim


-- Package-specific info:
List of enabled modules from 'apache2 -M':
  alias auth_basic authn_file authz_default authz_groupfile
  authz_host authz_user autoindex cgi deflate dir env fcgid mime
  negotiation reqtimeout rewrite setenvif ssl status

-- System Information:
Debian Release: 6.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages apache2 depends on:
ii  apache2-mpm-prefork           2.2.16-6   Apache HTTP Server - traditional n
ii  apache2.2-common              2.2.16-6   Apache HTTP Server common files

apache2 recommends no packages.

apache2 suggests no packages.

Versions of packages apache2.2-common depends on:
ii  apache2-utils           2.2.16-6         utility programs for webservers
ii  apache2.2-bin           2.2.16-6         Apache HTTP Server common binary f
ii  libmagic1               5.04-5           File type determination library us
ii  lsb-base                3.2-23.2squeeze1 Linux Standard Base 3.2 init scrip
ii  mime-support            3.48-1           MIME files 'mime.types' & 'mailcap
ii  perl                    5.10.1-17        Larry Wall's Practical Extraction 
ii  procps                  1:3.2.8-9        /proc file system utilities

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#615632; Package apache2.2-common. (Sun, 27 Feb 2011 22:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. (Sun, 27 Feb 2011 22:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 615632@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: Tim Stoop <tim@kumina.nl>
Cc: 615632@bugs.debian.org
Subject: Re: Bug#615632: apache2: Ability to set ulimit limits (eg. open file limit)
Date: Sun, 27 Feb 2011 23:47:10 +0100
On Sunday 27 February 2011, Tim Stoop wrote:
> I might be missing something, but I would really appreciate some
> way of overriding ulimit limits, preferably from
> /etc/default/apache2 or something. We running into open file limit
> problems and to fix those, I see no other solution than changing
> the initscript for apache and adding "ulimit -n 65535" right in
> front of the apache2ctl start command.
> 
> Or is there some other way that I'm missing here? Thanks in
> advance!

The canonical place is /etc/apache2/envvars, which is sourced by 
apache2ctl. apache2ctl even executes the value of 
APACHE_ULIMIT_MAX_FILES if it is set. Try adding
APACHE_ULIMIT_MAX_FILES="ulimit -n 65535"

But this lacks documentation :-(




Added tag(s) pending. Request was from Stefan Fritsch <sf@debian.org> to control@bugs.debian.org. (Sun, 27 Feb 2011 23:06:11 GMT) Full text and rfc822 format available.

Reply sent to Stefan Fritsch <sf@debian.org>:
You have taken responsibility. (Tue, 22 Mar 2011 11:48:08 GMT) Full text and rfc822 format available.

Notification sent to Tim Stoop <tim@kumina.nl>:
Bug acknowledged by developer. (Tue, 22 Mar 2011 11:48:08 GMT) Full text and rfc822 format available.

Message #17 received at 615632-close@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@debian.org>
To: 615632-close@bugs.debian.org
Subject: Bug#615632: fixed in apache2 2.2.17-2
Date: Tue, 22 Mar 2011 11:45:44 +0000
Source: apache2
Source-Version: 2.2.17-2

We believe that the bug you reported is fixed in the latest version of
apache2, which is due to be installed in the Debian FTP archive:

apache2-dbg_2.2.17-2_i386.deb
  to main/a/apache2/apache2-dbg_2.2.17-2_i386.deb
apache2-doc_2.2.17-2_all.deb
  to main/a/apache2/apache2-doc_2.2.17-2_all.deb
apache2-mpm-event_2.2.17-2_i386.deb
  to main/a/apache2/apache2-mpm-event_2.2.17-2_i386.deb
apache2-mpm-itk_2.2.17-2_i386.deb
  to main/a/apache2/apache2-mpm-itk_2.2.17-2_i386.deb
apache2-mpm-prefork_2.2.17-2_i386.deb
  to main/a/apache2/apache2-mpm-prefork_2.2.17-2_i386.deb
apache2-mpm-worker_2.2.17-2_i386.deb
  to main/a/apache2/apache2-mpm-worker_2.2.17-2_i386.deb
apache2-prefork-dev_2.2.17-2_i386.deb
  to main/a/apache2/apache2-prefork-dev_2.2.17-2_i386.deb
apache2-suexec-custom_2.2.17-2_i386.deb
  to main/a/apache2/apache2-suexec-custom_2.2.17-2_i386.deb
apache2-suexec_2.2.17-2_i386.deb
  to main/a/apache2/apache2-suexec_2.2.17-2_i386.deb
apache2-threaded-dev_2.2.17-2_i386.deb
  to main/a/apache2/apache2-threaded-dev_2.2.17-2_i386.deb
apache2-utils_2.2.17-2_i386.deb
  to main/a/apache2/apache2-utils_2.2.17-2_i386.deb
apache2.2-bin_2.2.17-2_i386.deb
  to main/a/apache2/apache2.2-bin_2.2.17-2_i386.deb
apache2.2-common_2.2.17-2_i386.deb
  to main/a/apache2/apache2.2-common_2.2.17-2_i386.deb
apache2_2.2.17-2.diff.gz
  to main/a/apache2/apache2_2.2.17-2.diff.gz
apache2_2.2.17-2.dsc
  to main/a/apache2/apache2_2.2.17-2.dsc
apache2_2.2.17-2_i386.deb
  to main/a/apache2/apache2_2.2.17-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 615632@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stefan Fritsch <sf@debian.org> (supplier of updated apache2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 21 Mar 2011 23:01:17 +0100
Source: apache2
Binary: apache2.2-common apache2.2-bin apache2-mpm-worker apache2-mpm-prefork apache2-mpm-event apache2-mpm-itk apache2-utils apache2-suexec apache2-suexec-custom apache2 apache2-doc apache2-prefork-dev apache2-threaded-dev apache2-dbg
Architecture: source all i386
Version: 2.2.17-2
Distribution: unstable
Urgency: high
Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
Changed-By: Stefan Fritsch <sf@debian.org>
Description: 
 apache2    - Apache HTTP Server metapackage
 apache2-dbg - Apache debugging symbols
 apache2-doc - Apache HTTP Server documentation
 apache2-mpm-event - Apache HTTP Server - event driven model
 apache2-mpm-itk - multiuser MPM for Apache 2.2
 apache2-mpm-prefork - Apache HTTP Server - traditional non-threaded model
 apache2-mpm-worker - Apache HTTP Server - high speed threaded model
 apache2-prefork-dev - Apache development headers - non-threaded MPM
 apache2-suexec - Standard suexec program for Apache 2 mod_suexec
 apache2-suexec-custom - Configurable suexec program for Apache 2 mod_suexec
 apache2-threaded-dev - Apache development headers - threaded MPM
 apache2-utils - utility programs for webservers
 apache2.2-bin - Apache HTTP Server common binary files
 apache2.2-common - Apache HTTP Server common files
Closes: 613438 613969 615632 615866 618857
Changes: 
 apache2 (2.2.17-2) unstable; urgency=high
 .
   * New mpm_itk upstream version 2.2.17-01:
     - Fix CVE-2011-1176: If NiceValue was set, the default with no
       AssignUserID was to run as root:root instead of the default Apache user
       and group, due to the configuration merger having an incorrect default
       configuration. Closes: #618857
   * Make exit code of '/etc/init.d/apache2 status' more LSB compatible.
     Closes: #613969
   * Set the default file descriptor limit to 8192 instead of whatever the
     current limit is (usually 1024). Document how to change it in
     /etc/apache2/envvars . Closes: #615632
   * Fix typo in init script. Closes: #615866
   * Add hint in README.Debian about 403 error with mod_dav PUT. Closes: #613438
   * Remove some obsolete Depends and Replaces.
Checksums-Sha1: 
 0a4802bce31b2b274d16ed204694a36ffd9be23c 1783 apache2_2.2.17-2.dsc
 0d2b57bd4443029e86457967e008678f4e562454 206125 apache2_2.2.17-2.diff.gz
 e7bc05b04ea70f994cfd63b86ff1fddbd0510228 2309004 apache2-doc_2.2.17-2_all.deb
 37453d0aa94b30734033687b2491ab4921b48cd9 308778 apache2.2-common_2.2.17-2_i386.deb
 7d1ce4630b842b302266283c642bdc316cd88f01 1351286 apache2.2-bin_2.2.17-2_i386.deb
 5462e8fb8dd2542e16d8e1b9524aef4a90c1d469 2190 apache2-mpm-worker_2.2.17-2_i386.deb
 e92a0f69b0f3a4a93f44bd6ca597a83f679f4041 2280 apache2-mpm-prefork_2.2.17-2_i386.deb
 df6ef8133a5c806bd130f8a5bea74aa92ebf5d98 2252 apache2-mpm-event_2.2.17-2_i386.deb
 e526922d5827d9b0c6db8a028b65cf1387f9c57b 2286 apache2-mpm-itk_2.2.17-2_i386.deb
 02a01cd0245df2909404221bfe4927ec0127f905 166098 apache2-utils_2.2.17-2_i386.deb
 1bc1d731db54e607acd6b6f0283079581d3581eb 100088 apache2-suexec_2.2.17-2_i386.deb
 b97423bc290dd1f6830ff51bca5c62f9540bc196 101594 apache2-suexec-custom_2.2.17-2_i386.deb
 6dd339db583fb2534dea07fdaf88146ec1d8f6d2 1384 apache2_2.2.17-2_i386.deb
 731bd8fd90328fe2c4ae03e51e17fb9361c7e47e 137336 apache2-prefork-dev_2.2.17-2_i386.deb
 0b8be9c46e67408ee0e4ec36feaaa7134cc7725a 138464 apache2-threaded-dev_2.2.17-2_i386.deb
 34981e68ae8ca69d9f4df558583aa4b5e8c686ba 2972274 apache2-dbg_2.2.17-2_i386.deb
Checksums-Sha256: 
 0ed345ba9f9151bfadb125b66563e37c432d0ca1d4802716f2c6cea3b1b98c58 1783 apache2_2.2.17-2.dsc
 ef31f50af0eeb3a2298cd7c3356fa5e3038ecb3a4948256ab0042dd5baff67bf 206125 apache2_2.2.17-2.diff.gz
 0c23408eb27a5c73aa62ceba6344747d75b4037ccaeb046c1c4dae0eba7775ce 2309004 apache2-doc_2.2.17-2_all.deb
 8ce7f21d5e4b9a84eb9ca6006536a01abbc40d19eddb1c991bffe2130aa1976b 308778 apache2.2-common_2.2.17-2_i386.deb
 8329b62390357c8f2391b08f2c221a51a6e62db194e3858f24fbe6892e01220c 1351286 apache2.2-bin_2.2.17-2_i386.deb
 5c8ae5e30d29596b342c91a4d70adae3c60237508cc9f8f87dce5d4a58bbd8b0 2190 apache2-mpm-worker_2.2.17-2_i386.deb
 ca245a55006dd3dfe167a43e4e89e954960166f695052332ba014b6f01d2a600 2280 apache2-mpm-prefork_2.2.17-2_i386.deb
 8e486cda4549d2eb9040c72494e7fdeb3466b30e8a084609a0d9a9cae9eaa834 2252 apache2-mpm-event_2.2.17-2_i386.deb
 89f92e4de53b2c8a52be8aafee1777ea62d28174ad14058514cac5c865ea186a 2286 apache2-mpm-itk_2.2.17-2_i386.deb
 d44d0d0185d60e50912e46a881e1475b142687c80ec9acc6a12c086294aff562 166098 apache2-utils_2.2.17-2_i386.deb
 290e374644d03272bc1e75358f75d93113740f33a640a4e5f6b74ed960b28da9 100088 apache2-suexec_2.2.17-2_i386.deb
 53bc966c26b5d4633cc8c653b6e89c38c60e679336f5694f08e44c6283ecb297 101594 apache2-suexec-custom_2.2.17-2_i386.deb
 a441e621bfee656711646d449beca4aacc2538f3e8bf64be27c2f8a26d00b194 1384 apache2_2.2.17-2_i386.deb
 d9237b1e9191dc657b10151996ee125dda4fd8732de9bda210c3f319d3e2bfcc 137336 apache2-prefork-dev_2.2.17-2_i386.deb
 f8d94fcf81f12653c39ea3f81565ed7d35fda01cb45d8b3cc39e435db7620ba5 138464 apache2-threaded-dev_2.2.17-2_i386.deb
 798109cb160b800d40babbf521ec15c61cf53ce5e00da24957f766ee9f3b1419 2972274 apache2-dbg_2.2.17-2_i386.deb
Files: 
 24f1edf69c241e9a5aaf106030789c36 1783 httpd optional apache2_2.2.17-2.dsc
 7c2c03e2c1c0ff35719a607add179f5d 206125 httpd optional apache2_2.2.17-2.diff.gz
 84714890165ba8e05826fd8cbd5b164c 2309004 doc optional apache2-doc_2.2.17-2_all.deb
 457328bf871df9913b3ad7f3fe2855fa 308778 httpd optional apache2.2-common_2.2.17-2_i386.deb
 34ca9369c4c3c05dfe4219b7a1d6f439 1351286 httpd optional apache2.2-bin_2.2.17-2_i386.deb
 378bc7ad23e1c4548be62d89f2c2d81e 2190 httpd optional apache2-mpm-worker_2.2.17-2_i386.deb
 36039a6b7efb1c1a15d56af78bd3a45a 2280 httpd optional apache2-mpm-prefork_2.2.17-2_i386.deb
 37f078ba0d3cf6e2194ff517d1e7c386 2252 httpd optional apache2-mpm-event_2.2.17-2_i386.deb
 769a6390e36a5d5d58247780ce0a0282 2286 httpd extra apache2-mpm-itk_2.2.17-2_i386.deb
 4876a48c3eb4210e1db45247e7f14684 166098 httpd optional apache2-utils_2.2.17-2_i386.deb
 05e8733a56957461d0176b450fbd129d 100088 httpd optional apache2-suexec_2.2.17-2_i386.deb
 534fb1efee57421b542fb85868c4b144 101594 httpd extra apache2-suexec-custom_2.2.17-2_i386.deb
 195da76d8863989a8fceb6ae8a743c40 1384 httpd optional apache2_2.2.17-2_i386.deb
 c74fc17833cde0f4370c594be73eefe0 137336 httpd extra apache2-prefork-dev_2.2.17-2_i386.deb
 3c40d21c610c49d9035bab72b612c723 138464 httpd extra apache2-threaded-dev_2.2.17-2_i386.deb
 be447cc5b686c3c807b5d6c40ccf6ff5 2972274 debug extra apache2-dbg_2.2.17-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFNh8zgbxelr8HyTqQRAr8vAKDBR/9wgQuOE/kSOZPxyYHN5tVwfwCg2Cl6
ZiI470/hjI+qnSV/FWzzWQY=
=Bdru
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Apr 2011 08:01:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:37:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.